Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.serialport
Class FIFObuffer

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<java.lang.Byte>
                  dioscuri.module.serialport.FIFObuffer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.lang.Byte>, java.util.Collection<java.lang.Byte>, java.util.List<java.lang.Byte>, java.util.RandomAccess

    public class FIFObuffer

extends java.util.ArrayList<java.lang.Byte>

Author:
  Bram Lohman, Bart Kiers
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FIFObuffer()`
`FIFObuffer(int capacity)`

Method Summary
`byte` | `getByte()`
`boolean` | `setByte(byte data)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### FIFObuffer

    public FIFObuffer()

### FIFObuffer

    public FIFObuffer(int capacity)

Parameters:
  `capacity` -

Method Detail

### setByte

    public boolean setByte(byte data)

  Parameters:
    `data` -
  Returns:
    -

### getByte

    public byte getByte()

  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD